Ext.define('DSS.component.RoomLabelControl', {
    extend : 'DSS.component.Base',
    mixins : {
        observable : 'Ext.util.Observable'
    },
    lblLabel:null,
    constructor : function(config) {

        this.lblLabel  = Ext.create('Ext.form.field.Display',{
          fieldLabel: _('room'),
        }); 
        
        Ext.apply(this, {
            items : [ this.lblLabel ]
        });                          
        this.callParent(arguments);
    },
    reset: function (){
     this.lblLabel.setValue(' - ');
    },
    setValue:function (value){
      // assuming, that zoneID will be set as value     
      this.lblLabel.setValue(dss.staticDataModel.getNameForZone(value));
      //this.lblLabel2.setValue(this.dssEditor.editControls.roomName.getValue());
    },
    isValid:function(){
        return true;
    },
    getValue : function(){

    }
});

Ext.define('DSS.component.RoomSwitchOnLight', {
    extend : 'DSS.component.Base',
    mixins : {
        observable : 'Ext.util.Observable'
    },
    checkLight:null,
    lblLabel2:null,
    rowPanel:null,
    constructor : function(config) {

        var arraySensors = new Array();
        arraySensors.push({"deviceID":"12121",  "deviceName": "Sensor1"});
        arraySensors.push({"deviceID":"12122",  "deviceName": "Sensor2"});
        var storeData=Ext.create('Ext.data.Store', {
                            fields : [  "deviceID", "deviceName"],
                            proxy : {
                                type : 'memory',
                                reader : {
                                    type : 'json',
                                    root : 'items'
                                }
                            }
                        });    
        storeData.add(arraySensors);  
     
     
        this.checkLight = Ext.create('Ext.form.field.Checkbox', {
                                      fieldLabel : _("Switch on the light if it's dark only"),
                                      width:400,
                                    });
        
        this.comboSensors  = Ext.create('Ext.form.field.ComboBox', {
                    store: storeData,           
                    queryMode: 'local',
                    displayField: 'deviceName',
                    valueField: 'deviceID',                    
                    fieldLabel : _("Twilight Sensor"),
                    width : 200,
                });

        this.rowPanel = Ext.create('Ext.panel.Panel', {
            border : false,
            autoScroll : true,
            height : 100,
            layout : {
                type : 'hbox',
                flex:0
            },
            items : [ this.checkLight, this.comboSensors  ]
        });
        
        Ext.apply(this, {
            items : [ this.rowPanel ]
        });                          
        this.callParent(arguments);
    },
    reset: function (){
    },
    setValue:function (value){
      
      
    },
    isValid:function(){
        return true;
    },
    getValue : function(){

    }
});